/********************************************************************************

	SYNCER 〜 知識、感動をみんなと同期(Sync)するブログ

	* 配布場所
	https://syncer.jp/hatebu-api-matome

	* 最終更新日時
	2015/07/23 11:59

	* 作者
	あらゆ

	** 連絡先
	Twitter: https://twitter.com/arayutw
	Facebook: https://www.facebook.com/arayutw
	Google+: https://plus.google.com/114918692417332410369/
	E-mail: info@syncer.jp

	※ バグ、不具合の報告、提案、ご要望など、お待ちしております。
	※ 申し訳ありませんが、ご利用者様、個々の環境における問題はサポートしていません。

********************************************************************************/


// チェックするURL
var url = 'https://www.youtube.com/' ;
 
// Ajax通信
$.ajax({

	url: 'http://api.b.st-hatena.com/entry.count?url=' + encodeURIComponent( url ) ,
	dataType: 'jsonp' ,

	// 取得に成功した時の処理
	success:function( count )
	{
		//データが存在しない場合は0扱い
		if( typeof( count ) == 'undefined' || !count )
		{
			count = 0 ;
		}

		// アラート表示
		// alert( 'カウント数は' + count + 'です！' ) ;

		// ツイートカウントをHTML([ID=result]の要素内)へ書き出す
		document.getElementById( 'result' ).innerHTML = count ;
	} ,

	//取得に失敗した時の処理
	error:function()
	{
		alert("通信に失敗しました…。");
	} ,

	//完了した時の処理
	complete:function()
	{
		return false ;
	}

}) ;