<!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8">
		<meta name="robots" content="noindex,nofollow">

		<!-- ビューポートの設定 -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0">

		<title>PHPで指定したURLのはてブ数を取得するサンプルデモ</title><!-- 

/********************************************************************************

	SYNCER 〜 知識、感動をみんなと同期(Sync)するブログ

	* 配布場所
	https://syncer.jp/hatebu-api-matome

	* 動作確認
	https://syncer.jp/hatebu-api-matome/demo/get-count.php

	* 最終更新日時
	2015/07/23 12:33

	* 作者
	あらゆ

	** 連絡先
	Twitter: https://twitter.com/arayutw
	Facebook: https://www.facebook.com/arayutw
	Google+: https://plus.google.com/114918692417332410369/
	E-mail: info@syncer.jp

	※ バグ、不具合の報告、提案、ご要望など、お待ちしております。
	※ 申し訳ありませんが、ご利用者様、個々の環境における問題はサポートしていません。

********************************************************************************/

		-->
	</head>
<body>



<h1 style="text-align:center;color:#d36015;">PHPで指定したURLのはてブ数を取得するサンプルデモ</h1>
<p>PHPを使って、指定したURLのはてブ数を取得し、表示します。</p>

<HR style="margin: 3em 0 ;">

<?php

	// チェックするURL
	$url = 'http://www.yahoo.co.jp/' ;

	// JSONデータを取得
	$count = @file_get_contents( 'http://api.b.st-hatena.com/entry.count?url=' . rawurlencode( $url ) ) ;

	//データが存在しない場合は0扱い
	if( !isset( $count ) || empty( $count ) )
	{
		$count = 0 ;
	}

	// 出力
	echo '<h2>実行結果</h2>' ;
	echo '<dl>' ;
	echo 	'<dt>取得結果</dt>' ;
	echo 		'<dd><mark>' . number_format( $count ) . '</mark></dd>' ;
	echo '</dl>' ;

?>

<HR style="margin: 3em 0 ;">



<p style="text-align:center"><a href="https://syncer.jp/hatebu-api-matome">配布元: Syncer</a></p>






</body>
</html>
