/********************************************************************************

	SYNCER 〜 知識、感動をみんなと同期(Sync)するブログ

	* 配布場所
	https://syncer.jp/hatebu-api-matome

	* 最終更新日時
	2015/07/23 18:28

	* 作者
	あらゆ

	** 連絡先
	Twitter: https://twitter.com/arayutw
	Facebook: https://www.facebook.com/arayutw
	Google+: https://plus.google.com/114918692417332410369/
	E-mail: info@syncer.jp

	※ バグ、不具合の報告、提案、ご要望など、お待ちしております。
	※ 申し訳ありませんが、ご利用者様、個々の環境における問題はサポートしていません。

********************************************************************************/


// エントリー情報を取得するURL
var entry = 'http://syncer.jp/schema-entering' ;
 
//Ajax通信
$.ajax({
	url: 'http://b.hatena.ne.jp/entry/jsonlite/?url=' + encodeURIComponent( entry ) ,
	dataType: 'jsonp' ,

	success:function( obj )
	{
		// 各情報
		var title = obj.title ;			// タイトル
		var url = obj.url ;				// URL
		var id = obj.eid ;				// エントリーID
		var img = obj.screenshot ;		// スクリーンショット画像のURL
		var page = obj.entry_url ;		// はてブコメント欄のURL
 
		// [id=result]の要素内に出力
		$( '#result' ).append( '<p><a href="' + url + '">' + title + '</a></p><p><img src="' + img + '"><br>(<a href="' + page + '">コメント一覧ページはこちら</a>)</p>' ) ;
 
		//個々のブクマ(コメント)を取得していく
		for( var i=0 , l=obj.bookmarks.length ; l > i ; i++ )
		{
			var user = obj.bookmarks[i].user ;																			// ユーザーID
			var icon = 'http://cdn1.www.st-hatena.com/users/' + user.substr( 0 , 2 ) + '/' + user + '/profile.gif' ;	// アイコン
			var com = obj.bookmarks[i].comment ;																		// コメント
			var date = obj.bookmarks[i].timestamp ;																		// ブクマした日付
			var tags = obj.bookmarks[i].tags.join( ',' ) ;																// タグ一覧
 
			//出力
			$( '#result' ).append( '<p><img src="' + icon + '" width="30" height="30">' + user + ' ' + com + '(' + date + ') ' + tags + '</p>' ) ;
		}
 
	},

	error:function()
	{
		alert( '通信に失敗しました…。' ) ;
	} ,

	complete:function()
	{
		return false;
	}
});