<!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8">
		<meta name="robots" content="noindex,nofollow">

		<!-- ビューポートの設定 -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0">

		<title>はてなブックマークの、ユーザーのフォロワー数を取得するサンプルデモ</title><!-- 

/********************************************************************************

	SYNCER 〜 知識、感動をみんなと同期(Sync)するブログ

	* 配布場所
	https://syncer.jp/hatebu-api-matome

	* 動作確認
	https://syncer.jp/hatebu-api-matome/demo/get-follower.php

	* 最終更新日時
	2015/07/23 19:11

	* 作者
	あらゆ

	** 連絡先
	Twitter: https://twitter.com/arayutw
	Facebook: https://www.facebook.com/arayutw
	Google+: https://plus.google.com/114918692417332410369/
	E-mail: info@syncer.jp

	※ バグ、不具合の報告、提案、ご要望など、お待ちしております。
	※ 申し訳ありませんが、ご利用者様、個々の環境における問題はサポートしていません。

********************************************************************************/

		-->
	</head>
<body>



<h1 style="text-align:center;color:#d36015;">はてなブックマークの、ユーザーのフォロワー数を取得するサンプルデモ</h1>
<p>PHPを使って、指定したユーザーのフォロワー数を取得するサンプルデモです。</p>

<HR style="margin: 3em 0 ;">

<?php

	// はてなID
	$id = 'syncer' ;

	// フォロワー数を記録するキャッシュファイル
	$file = './hatena_follower.txt' ;

	// 前回取得から1日経過してた場合のみ情報を取得
	if( !file_exists($file) || ( ($_SERVER["REQUEST_TIME"]-86400) > filemtime($file) ) )
	{
		// スクレイピングでHTMLを取得
		$code_1 = @file_get_contents( 'http://b.hatena.ne.jp/' . $id . '/sidebar' ) ;

		// フォロワー数の部分を取得する
		$code_2 = explode( 'a href="/' . $id . '/follower">' , $code_1 ) ;
		$code_3 = explode( '</a></li>' , $code_2[1] ) ;
		$follower = $code_3[0] ;

		// キャッシュファイルに記録
		@file_put_contents( $file , $follower ) ;
	}

	//1日経過してない場合は記録してあるフォロワー数を取得
	else
	{
		$follower = @file_get_contents( $file ) ;
	}

	// フォロワー数が上手く取得できない場合
	if( !$follower )
	{
		$follower = 0 ;
	}

	// フォロワー数を出力
	echo '<h2>実行結果</h2>' ;
	echo '<dl>' ;
	echo 	'<dt>' . $id . 'さんのフォロワー数</dt>' ;
	echo 		'<dd>' . $follower . '</dd>' ;
	echo '</dl>' ;

?>


<HR style="margin: 3em 0 ;">



<p style="text-align:center"><a href="https://syncer.jp/hatebu-api-matome">配布元: Syncer</a></p>






</body>
</html>
