<?php

	// はてな用のライブラリの読み込み
	require './hatena-oauth-library.php' ;

	// アクセストークンとアクセストークンシークレット
	$access_token = '' ;
	$access_token_secret = '' ;

	// リクエストの設定
	$request_url = 'http://b.hatena.ne.jp/atom/feed' ;		// リクエストURL
	$request_method = 'GET' ;								// リクエストメソッド

	// パラメータの設定
	$params = array(
		'oauth_token' => $access_token ,					// アクセストークン
		'oauth_token_secret' => $access_token_secret ,		// アクセストークンシークレット
	) ;

	//リクエストの返り値が[$json]に代入される
	$xml = hatena_oauth(
		$request_url ,
		$request_method ,
		$params
	) ;

	// HTML
	$html = '' ;

	//出力
	$html .= '<h2>実行結果</h2>' ;
	$html .= '<p>下記が、リクエストを通して取得したデータです。</p>' ;
	$html .= '<p><textarea rows="8">' . $xml . '</textarea></p>' ;

?><!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8">
		<meta name="robots" content="noindex,nofollow">

		<!-- ビューポートの設定 -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0">

		<title>はてなブックマークで、ユーザーのフィードを取得するサンプルデモ [アクセストークン使用編]</title><!-- 

/********************************************************************************

	SYNCER 〜 知識、感動をみんなと同期(Sync)するブログ

	* 配布場所
	https://syncer.jp/hatebu-api-matome

	* 動作確認
	https://syncer.jp/hatebu-api-matome/demo/get-user-feed-with-token.php

	* 最終更新日時
	2015/07/24 03:30

	* 作者
	あらゆ

	** 連絡先
	Twitter: https://twitter.com/arayutw
	Facebook: https://www.facebook.com/arayutw
	Google+: https://plus.google.com/114918692417332410369/
	E-mail: info@syncer.jp

	※ バグ、不具合の報告、提案、ご要望など、お待ちしております。
	※ 申し訳ありませんが、ご利用者様、個々の環境における問題はサポートしていません。

********************************************************************************/

		-->
	</head>
<body>



<?php echo $html ?>


<p style="text-align:center"><a href="https://syncer.jp/hatebu-api-matome">配布元: Syncer</a></p>






</body>
</html>
